Subject: Re: Cygwin Performance Info
From: "Laurence F. Wood" <[email-masked]>
To: Chris Abbey <[email-masked]>
Cc: [email-masked]
Date: Fri, 13 Oct 2000 20:07:28 -0400

From your response it sounds like if I have a compute bound application, i.e.
one that does not make system calls, there is no hit.  However, what about
memory allocation and deallocation?

Chris Abbey wrote:

> At 19:23 10/13/00 -0400, Laurence F. Wood wrote:
> >Can someone tell me where the performance hit is in cygwin unix
> >emulation?
>
> whichever part you use the most inside your tightest inner loop.
>
> seriously.
>
> that's a big huge open ended question (not about cygwin, about ANY
> library/platform) that is as specific to your application as you can
> get. For example, if you spend 75% of your computing day manipulating
> text files and piping them and greping them and running file utils
> against them then the cr/lf translation may be a big hit for you.
> On the otherhand if most of your computation in a day is spent answering
> requests that come in on tcp/ip sockets then the remapping of winsock
> to netinet.h functions maybe your major headache. (note, I'm not trying
> to imply that either function has a performance problem, merely that they
> would be representative places that would have high invocation counts
> in the course of the given activity.)
>
> To really answer that for your application/workload then you need to
> get some form of performance detailing that can tell you how much time
> you are spending in any given method and how often it's called.
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
--
Want to unsubscribe from this list?
Send a message to [email-masked]